Package: org.codehaus.groovy.vmplugin.v9

## [Java] Class PluginDefaultGroovyMethods

- org.codehaus.groovy.vmplugin.v9.PluginDefaultGroovyMethods

-     public class PluginDefaultGroovyMethods
      extends DefaultGroovyMethodsSupport

  Defines new Groovy methods which appear on normal JDK 9 classes inside the Groovy environment.

  Since:
    3.0.4

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `debug(Logger logger, String msg)` Convenience method for logging debug level messages with the platform logger.
    `` | `public static void` | `debug(Logger logger, String msg, Throwable thrown)` Convenience method for logging debug level messages with the platform logger.
    `` | `public static void` | `debug(Logger logger, String format, Object params)` Convenience method for logging debug level messages with the platform logger.
    `` | `public static void` | `error(Logger logger, String msg)` Convenience method for logging error level messages with the platform logger.
    `` | `public static void` | `error(Logger logger, String msg, Throwable thrown)` Convenience method for logging error level messages with the platform logger.
    `` | `public static void` | `error(Logger logger, String format, Object params)` Convenience method for logging error level messages with the platform logger.
    `` | `public static void` | `info(Logger logger, String msg)` Convenience method for logging info level messages with the platform logger.
    `` | `public static void` | `info(Logger logger, String msg, Throwable thrown)` Convenience method for logging info level messages with the platform logger.
    `` | `public static void` | `info(Logger logger, String format, Object params)` Convenience method for logging info level messages with the platform logger.
    `` | `public static void` | `trace(Logger logger, String msg)` Convenience method for logging trace level messages with the platform logger.
    `` | `public static void` | `trace(Logger logger, String msg, Throwable thrown)` Convenience method for logging trace level messages with the platform logger.
    `` | `public static void` | `trace(Logger logger, String format, Object params)` Convenience method for logging trace level messages with the platform logger.
    `` | `public static void` | `warn(Logger logger, String msg)` Convenience method for logging warning level messages with the platform logger.
    `` | `public static void` | `warn(Logger logger, String msg, Throwable thrown)` Convenience method for logging warning level messages with the platform logger.
    `` | `public static void` | `warn(Logger logger, String format, Object params)` Convenience method for logging warning level messages with the platform logger.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultGroovyMethodsSupport` | `cloneSimilarCollection, cloneSimilarMap, closeQuietly, closeWithWarning, createSimilarArray, createSimilarCollection, createSimilarCollection, createSimilarCollection, createSimilarList, createSimilarMap, createSimilarOrDefaultCollection, createSimilarQueue, createSimilarSet, normaliseIndex, sameType, sameType, subListBorders, subListBorders, subListRange, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired`

- - ### Method Detail

    - #### public static void debug(Logger logger, String msg)

      Convenience method for logging debug level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void debug(Logger logger, String msg, Throwable thrown)

      Convenience method for logging debug level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void debug(Logger logger, String format, Object params)

      Convenience method for logging debug level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void error(Logger logger, String msg)

      Convenience method for logging error level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void error(Logger logger, String msg, Throwable thrown)

      Convenience method for logging error level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void error(Logger logger, String format, Object params)

      Convenience method for logging error level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void info(Logger logger, String msg)

      Convenience method for logging info level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void info(Logger logger, String msg, Throwable thrown)

      Convenience method for logging info level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void info(Logger logger, String format, Object params)

      Convenience method for logging info level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void trace(Logger logger, String msg)

      Convenience method for logging trace level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void trace(Logger logger, String msg, Throwable thrown)

      Convenience method for logging trace level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void trace(Logger logger, String format, Object params)

      Convenience method for logging trace level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void warn(Logger logger, String msg)

      Convenience method for logging warning level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void warn(Logger logger, String msg, Throwable thrown)

      Convenience method for logging warning level messages with the platform logger.

      Parameters:
        `logger` - the Optional

    - #### public static void warn(Logger logger, String format, Object params)

      Convenience method for logging warning level messages with the platform logger.

      Parameters:
        `logger` - the Optional